
QGIS Application - Bug report #14902

Kind of Qgis freeze with WMS layer

2016-05-26 08:30 AM - Stéphane Brunner

Status: Closed

Priority: High

Assignee:

Category: Map Canvas

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: not reproducable

Crashes QGIS or corrupts data:Yes Copied to github as #: 22855

Description

- Open Qgis

- Add WMS server on the URL: http://wms.geo.admin.ch/

- Double click on a layer (tested with 2000-Watt-Areale)

- Click on the projection

- Select Enable 'on the fly' CRS transformation

- Select EPSG:2056

=> Don't be able anymore to pan and zoom ...

History

#1 - 2016-05-26 09:44 AM - Giovanni Manghi

- Status changed from Open to Feedback

Hi Stephane,

is 2000 the id of the layer? if yes I can't find it in the service you posted, the highest is 1738.

I tested on master with other layers, added them in wgs84 and then at project level enabled OTF to 2056, no issues.

#2 - 2016-05-29 05:24 AM - Stéphane Brunner

- Status changed from Feedback to Open

- The WMS server should be added in the `Browser Panel`

- `2000-Watt-Areale` is the layer name (first in the list)

- We tested on other computer also build in debug mode and we steal have the issue...

- A work around it to zoom to layer...

#3 - 2017-03-08 12:46 AM - Giovanni Manghi

- Priority changed from Normal to High

- Crashes QGIS or corrupts data changed from No to Yes

- Category set to Map Canvas

- Status changed from Open to Closed

- Resolution set to not reproducable

I tried again on 2.18.4 on Ubuntu and Windows and it seems is not an issue anymore. Please reopen if necessary.
